org.eclipse.viatra.cep.vepl.vepl.util

## Class VeplAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.viatra.cep.vepl.vepl.util.VeplAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class VeplAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `VeplPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static VeplPackage` | `modelPackage` The cached model package.
    `protected VeplSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VeplAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAbstractAtomicEventPatternAdapter()` Creates a new adapter for an object of class '`Abstract Atomic Event Pattern`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAbstractMultiplicityAdapter()` Creates a new adapter for an object of class '`Abstract Multiplicity`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createAndOperatorAdapter()` Creates a new adapter for an object of class '`And Operator`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAtLeastOneAdapter()` Creates a new adapter for an object of class '`At Least One`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAtomAdapter()` Creates a new adapter for an object of class '`Atom`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAtomicEventPatternAdapter()` Creates a new adapter for an object of class '`Atomic Event Pattern`'.
    `org.eclipse.emf.common.notify.Adapter` | `createBinaryOperatorAdapter()` Creates a new adapter for an object of class '`Binary Operator`'.
    `org.eclipse.emf.common.notify.Adapter` | `createChainedExpressionAdapter()` Creates a new adapter for an object of class '`Chained Expression`'.
    `org.eclipse.emf.common.notify.Adapter` | `createComplexEventExpressionAdapter()` Creates a new adapter for an object of class '`Complex Event Expression`'.
    `org.eclipse.emf.common.notify.Adapter` | `createComplexEventOperatorAdapter()` Creates a new adapter for an object of class '`Complex Event Operator`'.
    `org.eclipse.emf.common.notify.Adapter` | `createComplexEventPatternAdapter()` Creates a new adapter for an object of class '`Complex Event Pattern`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createEventModelAdapter()` Creates a new adapter for an object of class '`Event Model`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEventPatternAdapter()` Creates a new adapter for an object of class '`Event Pattern`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFollowsOperatorAdapter()` Creates a new adapter for an object of class '`Follows Operator`'.
    `org.eclipse.emf.common.notify.Adapter` | `createGenericImportAdapter()` Creates a new adapter for an object of class '`Generic Import`'.
    `org.eclipse.emf.common.notify.Adapter` | `createImportAdapter()` Creates a new adapter for an object of class '`Import`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInfiniteAdapter()` Creates a new adapter for an object of class '`Infinite`'.
    `org.eclipse.emf.common.notify.Adapter` | `createModelElementAdapter()` Creates a new adapter for an object of class '`Model Element`'.
    `org.eclipse.emf.common.notify.Adapter` | `createMultiplicityAdapter()` Creates a new adapter for an object of class '`Multiplicity`'.
    `org.eclipse.emf.common.notify.Adapter` | `createNegOperatorAdapter()` Creates a new adapter for an object of class '`Neg Operator`'.
    `org.eclipse.emf.common.notify.Adapter` | `createOrOperatorAdapter()` Creates a new adapter for an object of class '`Or Operator`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParameterizedPatternCallAdapter()` Creates a new adapter for an object of class '`Parameterized Pattern Call`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParametrizedQueryReferenceAdapter()` Creates a new adapter for an object of class '`Parametrized Query Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternCallParameterAdapter()` Creates a new adapter for an object of class '`Pattern Call Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternCallParameterListAdapter()` Creates a new adapter for an object of class '`Pattern Call Parameter List`'.
    `org.eclipse.emf.common.notify.Adapter` | `createQueryImportAdapter()` Creates a new adapter for an object of class '`Query Import`'.
    `org.eclipse.emf.common.notify.Adapter` | `createQueryResultChangeEventPatternAdapter()` Creates a new adapter for an object of class '`Query Result Change Event Pattern`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRuleAdapter()` Creates a new adapter for an object of class '`Rule`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTimewindowAdapter()` Creates a new adapter for an object of class '`Timewindow`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTraitAdapter()` Creates a new adapter for an object of class '`Trait`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTraitListAdapter()` Creates a new adapter for an object of class '`Trait List`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTraitTypedParameterListAdapter()` Creates a new adapter for an object of class '`Trait Typed Parameter List`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTypedParameterAdapter()` Creates a new adapter for an object of class '`Typed Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTypedParameterListAdapter()` Creates a new adapter for an object of class '`Typed Parameter List`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTypedParameterWithDefaultValueAdapter()` Creates a new adapter for an object of class '`Typed Parameter With Default Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createUnaryOperatorAdapter()` Creates a new adapter for an object of class '`Unary Operator`'.
    `org.eclipse.emf.common.notify.Adapter` | `createUntilOperatorAdapter()` Creates a new adapter for an object of class '`Until Operator`'.
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static VeplPackage modelPackage

      The cached model package.
      Generated:

    - #### modelSwitch

          protected VeplSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated:

  - ### Constructor Detail

    - #### VeplAdapterFactory

          public VeplAdapterFactory()

      Creates an instance of the adapter factory.
      Generated:

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated:

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated:

    - #### createEventModelAdapter

          public org.eclipse.emf.common.notify.Adapter createEventModelAdapter()

      Creates a new adapter for an object of class '`Event Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EventModel`
      Generated:

    - #### createImportAdapter

          public org.eclipse.emf.common.notify.Adapter createImportAdapter()

      Creates a new adapter for an object of class '`Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Import`
      Generated:

    - #### createGenericImportAdapter

          public org.eclipse.emf.common.notify.Adapter createGenericImportAdapter()

      Creates a new adapter for an object of class '`Generic Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `GenericImport`
      Generated:

    - #### createQueryImportAdapter

          public org.eclipse.emf.common.notify.Adapter createQueryImportAdapter()

      Creates a new adapter for an object of class '`Query Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `QueryImport`
      Generated:

    - #### createModelElementAdapter

          public org.eclipse.emf.common.notify.Adapter createModelElementAdapter()

      Creates a new adapter for an object of class '`Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ModelElement`
      Generated:

    - #### createTraitAdapter

          public org.eclipse.emf.common.notify.Adapter createTraitAdapter()

      Creates a new adapter for an object of class '`Trait`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Trait`
      Generated:

    - #### createEventPatternAdapter

          public org.eclipse.emf.common.notify.Adapter createEventPatternAdapter()

      Creates a new adapter for an object of class '`Event Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EventPattern`
      Generated:

    - #### createAbstractAtomicEventPatternAdapter

          public org.eclipse.emf.common.notify.Adapter createAbstractAtomicEventPatternAdapter()

      Creates a new adapter for an object of class '`Abstract Atomic Event Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AbstractAtomicEventPattern`
      Generated:

    - #### createAtomicEventPatternAdapter

          public org.eclipse.emf.common.notify.Adapter createAtomicEventPatternAdapter()

      Creates a new adapter for an object of class '`Atomic Event Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AtomicEventPattern`
      Generated:

    - #### createQueryResultChangeEventPatternAdapter

          public org.eclipse.emf.common.notify.Adapter createQueryResultChangeEventPatternAdapter()

      Creates a new adapter for an object of class '`Query Result Change Event Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `QueryResultChangeEventPattern`
      Generated:

    - #### createComplexEventPatternAdapter

          public org.eclipse.emf.common.notify.Adapter createComplexEventPatternAdapter()

      Creates a new adapter for an object of class '`Complex Event Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ComplexEventPattern`
      Generated:

    - #### createRuleAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleAdapter()

      Creates a new adapter for an object of class '`Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Rule`
      Generated:

    - #### createTraitListAdapter

          public org.eclipse.emf.common.notify.Adapter createTraitListAdapter()

      Creates a new adapter for an object of class '`Trait List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TraitList`
      Generated:

    - #### createTypedParameterListAdapter

          public org.eclipse.emf.common.notify.Adapter createTypedParameterListAdapter()

      Creates a new adapter for an object of class '`Typed Parameter List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TypedParameterList`
      Generated:

    - #### createTypedParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createTypedParameterAdapter()

      Creates a new adapter for an object of class '`Typed Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TypedParameter`
      Generated:

    - #### createTypedParameterWithDefaultValueAdapter

          public org.eclipse.emf.common.notify.Adapter createTypedParameterWithDefaultValueAdapter()

      Creates a new adapter for an object of class '`Typed Parameter With Default Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TypedParameterWithDefaultValue`
      Generated:

    - #### createTraitTypedParameterListAdapter

          public org.eclipse.emf.common.notify.Adapter createTraitTypedParameterListAdapter()

      Creates a new adapter for an object of class '`Trait Typed Parameter List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TraitTypedParameterList`
      Generated:

    - #### createParametrizedQueryReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createParametrizedQueryReferenceAdapter()

      Creates a new adapter for an object of class '`Parametrized Query Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ParametrizedQueryReference`
      Generated:

    - #### createComplexEventExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createComplexEventExpressionAdapter()

      Creates a new adapter for an object of class '`Complex Event Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ComplexEventExpression`
      Generated:

    - #### createChainedExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createChainedExpressionAdapter()

      Creates a new adapter for an object of class '`Chained Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ChainedExpression`
      Generated:

    - #### createAtomAdapter

          public org.eclipse.emf.common.notify.Adapter createAtomAdapter()

      Creates a new adapter for an object of class '`Atom`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Atom`
      Generated:

    - #### createAbstractMultiplicityAdapter

          public org.eclipse.emf.common.notify.Adapter createAbstractMultiplicityAdapter()

      Creates a new adapter for an object of class '`Abstract Multiplicity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AbstractMultiplicity`
      Generated:

    - #### createTimewindowAdapter

          public org.eclipse.emf.common.notify.Adapter createTimewindowAdapter()

      Creates a new adapter for an object of class '`Timewindow`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Timewindow`
      Generated:

    - #### createParameterizedPatternCallAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterizedPatternCallAdapter()

      Creates a new adapter for an object of class '`Parameterized Pattern Call`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ParameterizedPatternCall`
      Generated:

    - #### createPatternCallParameterListAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternCallParameterListAdapter()

      Creates a new adapter for an object of class '`Pattern Call Parameter List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternCallParameterList`
      Generated:

    - #### createPatternCallParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternCallParameterAdapter()

      Creates a new adapter for an object of class '`Pattern Call Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternCallParameter`
      Generated:

    - #### createComplexEventOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createComplexEventOperatorAdapter()

      Creates a new adapter for an object of class '`Complex Event Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ComplexEventOperator`
      Generated:

    - #### createBinaryOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createBinaryOperatorAdapter()

      Creates a new adapter for an object of class '`Binary Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `BinaryOperator`
      Generated:

    - #### createUnaryOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createUnaryOperatorAdapter()

      Creates a new adapter for an object of class '`Unary Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `UnaryOperator`
      Generated:

    - #### createFollowsOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createFollowsOperatorAdapter()

      Creates a new adapter for an object of class '`Follows Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FollowsOperator`
      Generated:

    - #### createOrOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createOrOperatorAdapter()

      Creates a new adapter for an object of class '`Or Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `OrOperator`
      Generated:

    - #### createAndOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createAndOperatorAdapter()

      Creates a new adapter for an object of class '`And Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AndOperator`
      Generated:

    - #### createUntilOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createUntilOperatorAdapter()

      Creates a new adapter for an object of class '`Until Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `UntilOperator`
      Generated:

    - #### createNegOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createNegOperatorAdapter()

      Creates a new adapter for an object of class '`Neg Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NegOperator`
      Generated:

    - #### createMultiplicityAdapter

          public org.eclipse.emf.common.notify.Adapter createMultiplicityAdapter()

      Creates a new adapter for an object of class '`Multiplicity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Multiplicity`
      Generated:

    - #### createInfiniteAdapter

          public org.eclipse.emf.common.notify.Adapter createInfiniteAdapter()

      Creates a new adapter for an object of class '`Infinite`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Infinite`
      Generated:

    - #### createAtLeastOneAdapter

          public org.eclipse.emf.common.notify.Adapter createAtLeastOneAdapter()

      Creates a new adapter for an object of class '`At Least One`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AtLeastOne`
      Generated:

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated: